import java.util.Collection;

import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.Persistence;

public class Main {
  public static void main(String[] a) throws Exception {
    JPAUtil util = new JPAUtil();

    EntityManagerFactory emf = Persistence.createEntityManagerFactory("ProfessorService");
    EntityManager em = emf.createEntityManager();
    ProfessorService service = new ProfessorService(em);

    em.getTransaction().begin();
    Professor emp = service.createProfessor("empName", 100);
    Department dept = service.createDepartment("deptName");
    Collection<Professor> emps = service.findAllProfessors();
    for (Professor emp1 : emps) {
      System.out.println(emp1);
    }
    Collection<Department> depts = service.findAllDepartments();
    for (Department dept1 : depts) {
      System.out.println(dept1);
    }

    util.checkData("select * from Professor");
    util.checkData("select * from Department");

    em.getTransaction().commit();
    em.close();
    emf.close();
  }
}